Topic Closed
juergen
1.5K Posts
54.5K Downloads
16 Plugins
design, web development & visual effects

Josh -

what's the best fallback for

common::LoadComponents([component list]);

to support gp|Easy < 3.5 ?

I currently have

if (!class_exists("common::LoadComponents"))  {
   // load all my custom jQueryUI stuff
   // not included in gp|Easy < 3.5

   // e.g. 'tabs'
} else {

   common:LoadComponents('tabs');
}

will this be safe? Thx

--

For all who are interested:
LoadComponents() should be used to load additional jQueryUI components in gp|Easy 3.5+
Formerly discussed as LoadjQueryUI([compnent list]) here.

 

Edited: 8 years ago#4663

Josh S.
2K Posts
283K Downloads
16 Themes
18 Plugins

One small change and you'll be set:

if( is_callable( array('common','LoadComponents') ) ){
    //use LoadComponents
}else{
    // load custom jQueryUI stuff
}

8 years ago#4669

Topic Closed

 

News

elFinder 2.1.50 in Upcoming Release
12/28/2019

A new release for Typesetter is in the works with a lot of improvements including the ... Read More

Typesetter 5.1
8/12/2017

Typesetter 5.1 is now available for download. 5.1 includes bug fixes, UI/UX improvements, ... Read More

More News

HH-Support

Company located in T├│rshavn, Faroe Islands. * Webpage Design * Consultant & Provider of a wide range of programs for visually impaired and dyslextics.

Find out more about our Provider Spotlight

Log In

  Register